## org.apache.axis.wsdl.toJava
Class JavaDefinitionWriter

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.JavaDefinitionWriter

All Implemented Interfaces:
  Generator

public class JavaDefinitionWriter
extends java.lang.Object
implements Generator

This is Wsdl2java's Definition Writer. It currently writes the following files: Faults as needed.

Field Summary
`protected javax.wsdl.Definition` `definition`
`protected Emitter` `emitter`
`protected SymbolTable` `symbolTable`

Constructor Summary
`JavaDefinitionWriter(Emitter emitter, javax.wsdl.Definition definition, SymbolTable symbolTable)` Constructor.

Method Summary
`void` `generate()` Write other items from the definition as needed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### emitter

    protected Emitter emitter

### definition

    protected javax.wsdl.Definition definition

### symbolTable

    protected SymbolTable symbolTable

Constructor Detail

### JavaDefinitionWriter

    public JavaDefinitionWriter(Emitter emitter,
                                javax.wsdl.Definition definition,
                                SymbolTable symbolTable)

  Constructor.

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Write other items from the definition as needed.

  Specified by:
    `generate` in interface `Generator`
    `java.io.IOException`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.